Bug 1291044 - Dependency missing for DNF installation.
Dependency missing for DNF installation.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: clamtk (Show other bugs)
23
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-12 23:19 EST by Randal T. Rioux
Modified: 2016-08-21 10:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-21 10:16:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randal T. Rioux 2015-12-12 23:19:51 EST
The package perl-JSON is necessary to run ClamTK, and is not installed with the clamtk package.

Without perl-JSON, the following error is generated when attempting to run clamtk:

[root@mars src]# clamtk 
Can't locate JSON.pm in @INC (you may need to install the JSON module) (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at /usr/share/perl5/vendor_perl/ClamTk/Analysis.pm line 27.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/ClamTk/Analysis.pm line 27.
Compilation failed in require at /usr/bin/clamtk line 22.
BEGIN failed--compilation aborted at /usr/bin/clamtk line 22.
Comment 1 Dave M 2015-12-14 08:12:16 EST
Hi Randal,

I cannot duplicate this.  I just tested it again, and ClamTk properly pulls in perl-JSON.

What version of ClamTk are you installing?

Thanks,
Dave M

Note You need to log in before you can comment on or make changes to this bug.